#ifndef COMPLEX_H
#define COMPLEX_H

typedef struct
{
    float re,	// real part
    im;			// imaginary part
} ComplexT;     // complex number type

extern void add(const ComplexT *a, const ComplexT *b, ComplexT *c);
extern void subtract(const ComplexT *a, const ComplexT *b, ComplexT *c);
extern void multiply(const ComplexT *a, const ComplexT *b, ComplexT *c);
extern void divide(const ComplexT *a, const ComplexT *b, ComplexT *c);
extern void assign(ComplexT *a, const ComplexT *b);

#endif // COMPLEX_H

